
package co.gov.igac.snc.web.ws.consultacatastralservice;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6 in JDK 6
 * Generated source version: 2.1
 * 
 */
@WebService(name = "ConsultaCatastralService", targetNamespace = "http://co/gov/igac/snc/web/ws/consultacatastralservice")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({
    co.gov.igac.data.converted.xsd.ObjectFactory.class,
    co.gov.igac.snc.web.ws.consultacatastralservice.ObjectFactory.class
})
public interface ConsultaCatastralService {


    /**
     * 
     * @param consultaCatastralServiceRequest
     * @return
     *     returns co.gov.igac.snc.web.ws.consultacatastralservice.ConsultaCatastralServiceResponse
     */
    @WebMethod(operationName = "ConsultaCatastralService")
    @WebResult(name = "ConsultaCatastralServiceResponse", targetNamespace = "http://co/gov/igac/snc/web/ws/consultacatastralservice", partName = "ConsultaCatastralServiceResponse")
    public ConsultaCatastralServiceResponse consultaCatastralService(
        @WebParam(name = "ConsultaCatastralServiceRequest", targetNamespace = "http://co/gov/igac/snc/web/ws/consultacatastralservice", partName = "ConsultaCatastralServiceRequest")
        ConsultaCatastralServiceRequest consultaCatastralServiceRequest);

}
